<?php
return array(
    'test'  => array(
        'title'        => "Тестовый режим",
        'description'  => "Выберите режим работы",
        'value'        => 1, // значение по умолчанию
        'control_type' => waHtmlControl::CHECKBOX,
    ),
    'log'  => array(
        'title'        => "Включить логирование",
        'description'  => "Если логирование Включено, параметры запросов и результаты ответа сервера БИФИТ будут записаны в лог: ".
            "<b>shop/plugins/bifitkassa/fiscalization.log</b><p>",
        'value'        => 1, // значение по умолчанию
        'control_type' => waHtmlControl::CHECKBOX,
    ),
    'token'  => array(
        'title'        => "Токен доступа",
        'description'  => "Введите выданный токен доступа",
        'value'        => '', // значение по умолчанию
        'control_type'=> waHtmlControl::INPUT,
    ),
    'pm_ids' => array(
        'title'        => "Способы оплаты",
        'description' => "Выбирете способы оплаты, для которых будет проводиться фискализация платежей.",
        'control_type' => waHtmlControl::CUSTOM . ' shopBifitkassaPlugin::getPaymentTypes'
    ),
    'pm_statuses' => array(
        'title' => 'Действия заказа для оплаты (приход)',
        'description' => 'Действия с заказом при которых будет отправлен запрос на печать чека прихода',
        'control_type' => waHtmlControl::GROUPBOX,
        'options_callback' => array('shopBifitkassaPlugin', 'settingAvailableOrderActions'),
        'value' => array('pay'),
    ),
    'cashier_name'  => array(
        'title'        => "ФИО кассира",
        'description'  => "Введите фамилию и инициалы кассира.",
        'value'        => 'Иванов И.И.', // значение по умолчанию
        'control_type'=> waHtmlControl::INPUT,
    ),
    'cashier_inn'  => array(
        'title'        => "ИНН кассира:",
        'description'  => "Введите ИНН кассира.",
        'value'        => '', // значение по умолчанию
        'control_type'=> waHtmlControl::INPUT,
    ),
    'payment_address'  => array(
        'title'        => "Место расчётов",
        'description'  => "Введите место расчётов.",
        'value'        => 'https://site.ru', // значение по умолчанию
        'control_type'=> waHtmlControl::INPUT,
    ),
    'address_type'  => array(
        'title'        => "Адрес клиента",
        'description'  => "Выберите тип адреса",
        'value'        => 'email', // значение по умолчанию
        'control_type' => waHtmlControl::SELECT,
        'options_callback' => array('shopBifitkassaPlugin', 'addressTypeValues')
    ),
    'receipt_type'  => array(
        'title'        => "Тип документа",
        'description'  => "Выберите тип документа",
        'value'        => 'SALE', // значение по умолчанию
        'control_type' => waHtmlControl::SELECT,
        'options_callback' => array('shopBifitkassaPlugin', 'receiptTypeValues')
    ),
    'tax_system'  => array(
        'title'        => "Система налогообложения",
        'description'  => "Выберите систему налогообложения",
        'value'        => 'COMMON', // значение по умолчанию
        'control_type' => waHtmlControl::SELECT,
        'options_callback' => array('shopBifitkassaPlugin', 'taxSystemValues')
    ),
    'calculation_method'  => array(
        'title'        => "Признак способа расчёта",
        'description'  => "Выберите признак способа расчёта",
        'value'        => 'FULL_PAY', // значение по умолчанию
        'control_type' => waHtmlControl::SELECT,
        'options_callback' => array('shopBifitkassaPlugin', 'calculationMethodValues')
    ),
    'payment_type'  => array(
        'title'        => "Тип оплаты",
        'description'  => "Выберите тип оплаты",
        'value'        => 'CARD', // значение по умолчанию
        'control_type' => waHtmlControl::SELECT,
        'options_callback' => array('shopBifitkassaPlugin', 'paymentTypeValues')
    ),
    'vat'  => array(
        'title'        => "Ставка НДС",
        'description'  => "Выберите ставку НДС",
        'value'        => '', // значение по умолчанию
        'control_type' => waHtmlControl::SELECT,
        'options_callback' => array('shopBifitkassaPlugin', 'vatValues')
    ),
);
//EOF
